summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrick Darley <patrick.darley@codethink.co.uk>2015-09-28 12:51:41 +0000
committerPatrick Darley <patrick.darley@codethink.co.uk>2015-09-28 13:44:06 +0000
commit59140c8e8931b4fc72ee33776f5347f43cdd5367 (patch)
tree3927f14c9d2299bfed64b41293c65bcf479e69aa
parent9e0f8ac82d04a658f7f07b0f7cf2044c4e3e4e02 (diff)
downloadbuildslave-scripts-59140c8e8931b4fc72ee33776f5347f43cdd5367.tar.gz
A script to prep machine to use kbas. May need more depends and not need gawk
-rwxr-xr-xprep_for_kbas.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/prep_for_kbas.sh b/prep_for_kbas.sh
new file mode 100755
index 0000000..f4077a9
--- /dev/null
+++ b/prep_for_kbas.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+# Script to set up yum-y or apt-y machine for kbas use
+
+if [ -x /usr/bin/apt ]; then
+ apt-get install -y gawk python-pip
+elif [ -x /usr/bin/yum ]; then
+ yum install -y gawk python-pip
+else
+ echo "Unsuported package manager, try apt or yum."
+ exit 1
+fi
+
+# TODO: Check if this is all that a cache server will need. unsure as running
+# the cache and ybd on the same machine currently
+pip install bottle